package test.drs_tst.recs.utils.db;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

public class SQLLiteManager {

	private static SQLLiteManager instance;

	public static String DB_PATH = "src/test/drs_tst/recs/data/all_db";

	private Connection connection;

	private SQLLiteManager() {
		connection = null;
		try {
			// create a database connection
			Class.forName("org.sqlite.JDBC");
			connection = DriverManager.getConnection("jdbc:sqlite:" + DB_PATH);
			System.out.println(connection);
		} catch (ClassNotFoundException e1) {
			// TODO Auto-generated catch block
			e1.printStackTrace();
		} catch (SQLException e) {
			// if the error message is "out of memory",
			// it probably means no database file is found
			System.err.println(e.getMessage());
		} 
	}

	public static SQLLiteManager getManager() {
		if (instance == null) {
			instance = new SQLLiteManager();
		}
		return instance;
	}

	public ResultSet executeQuery(String query) {
		Statement statement;
		try {
			statement = connection.createStatement();
			//statement.setQueryTimeout(30);
			return statement.executeQuery(query);
		} catch (SQLException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
			return null;
		}

	}
}
